View Single Post
 
Old August 5th, 2008, 02:58 PM
mhkay's Avatar
mhkay mhkay is offline
Wrox Author
Points: 18,487, Level: 59
Points: 18,487, Level: 59 Points: 18,487, Level: 59 Points: 18,487, Level: 59
Activity: 0%
Activity: 0% Activity: 0% Activity: 0%
 
Join Date: Apr 2004
Location: Reading, Berks, United Kingdom.
Posts: 4,962
Thanks: 0
Thanked 292 Times in 287 Posts
Default

IE has a plug-in to allow you to view the generated HTML, but I've forgotten where you get it from.

>Where did the Warning come from?

The W3C WG decided that because there is a very small risk that an XSLT 2.0 processor might produce different results from a 1.0 stylesheet than a 1.0 processor would produce, the processor must give you a warning if you do this. In my view, however, it's not a particularly good idea - those who know about the version differences don't need the warning, and those who don't get unnecessarily alarmed. Also, it tends to encourage people to do what you have done - change the version to 2.0 - which is far more likely to introduce minor incompatibilities if you don't know what you are doing, because in cases where there are differences, a 2.0 processor will use the version="1.0" setting as a signal to behave in a backwards-compatible way.

Michael Kay
http://www.saxonica.com/
Author, XSLT 2.0 and XPath 2.0 Programmer's Reference